//-----------------------------------------------------------------------------
//
// Source File Name: MQUserExit.java
//
// Description: Class to manage the ma88 Java client user exits.
//              Included as a sample for customization
//
// IBM Confidential
//
// OCO Source Materials
//
// 5648-C63
// (C) Copyright IBM Corp. 1999, 2001
//
// The source code for this program is not published or otherwise
// divested of its trade secrets, irrespective of what has been 
// deposited with the U.S. Copyright office
//
// Version @(#) 1.2 SupportPack/IH05/com/ibm/broker/wmqicmds/userexit/MQUserExit.java, CommandLine, S000, S000-L020205 02/02/01 08:29:38 [2/5/02 19:30:26]
//
//-----------------------------------------------------------------------------

package com.ibm.broker.wmqicmds.userexit;

// Import required classes.
import com.ibm.mq.MQChannelExit;
import com.ibm.mq.MQChannelDefinition;

import com.ibm.mq.MQSendExit;
import com.ibm.mq.MQReceiveExit;
import com.ibm.mq.MQSecurityExit;



//-----------------------------------------------------------------------------
// MQUserExit class
//-----------------------------------------------------------------------------
/**Supplied implementation of the MA88 user exits
* 
* This class is supplied as a sample for rework by customers who wish to
* use the MA88 user exits
*
* @version 1.2
*
*///---------------------------------------------------------------------------
public class MQUserExit implements MQSendExit, MQReceiveExit, MQSecurityExit {
  /** IBM Copyright */
  private final static String copyright = "Licensed Material - Property of IBM \n5648-C63 (c) Copyright IBM Corp. 1999, 2001 - All Rights Reserved. \nUS Government Users Restricted Rights - Use, duplication or disclosure \nrestricted by GSA ADP Schedule Contract with IBM Corp.";


  //------------------------------------------------------------------------------
  // Method: MQUserExit.sendExit
  //------------------------------------------------------------------------------
  /**Driven by the MA88 send exit
   *
   * @param     channelExitParms  Exit context information
   * @param     channelDefParms   Channel information
   *
   * @return    byte []           User data
  *///----------------------------------------------------------------------------
  public byte[] sendExit(MQChannelExit channelExitParms,
                         MQChannelDefinition channelDefParms,
                         byte agentBuffer[]) {
    // fill in the body of the send exit here

    System.err.println("com.ibm.broker.wmqicmds.userexit.sendExit() has been driven");

    return agentBuffer;
  }

  
  //------------------------------------------------------------------------------
  // Method: MQUserExit.receiveExit
  //------------------------------------------------------------------------------
  /**Driven by the MA88 receive exit
   *
   * @param     channelExitParms  Exit context information
   * @param     channelDefParms   Channel information
   *
   * @return    byte []           User data
  *///----------------------------------------------------------------------------
  public byte[] receiveExit(MQChannelExit channelExitParms,
                            MQChannelDefinition channelDefParms,
                            byte agentBuffer[]) {
    // fill in the body of the receive exit here

    System.err.println("com.ibm.broker.wmqicmds.userexit.receiveExit() has been driven");

    return agentBuffer;
  }

  
  //------------------------------------------------------------------------------
  // Method: MQUserExit.securityExit
  //------------------------------------------------------------------------------
  /**Driven by the MA88 security exit
   *
   * @param     channelExitParms  Exit context information
   * @param     channelDefParms   Channel information
   *
   * @return    byte []           User data
  *///----------------------------------------------------------------------------
  public byte[] securityExit(MQChannelExit channelExitParms,
                             MQChannelDefinition channelDefParms,
                             byte agentBuffer[]) {
    // fill in the body of the securityexit here

    System.err.println("com.ibm.broker.wmqicmds.userexit.securityExit() has been driven");

    return agentBuffer;
  }
}
